summaryrefslogtreecommitdiff
path: root/test/format/recover.sh
diff options
context:
space:
mode:
authorSusan LoVerso <sue@wiredtiger.com>2015-02-25 15:03:50 -0500
committerSusan LoVerso <sue@wiredtiger.com>2015-02-25 15:03:50 -0500
commit392a540deec817c5d6738b8e848a68882df3ac8a (patch)
treebb6e88b31f57405bc5b99b7a0a12bd60dded89b6 /test/format/recover.sh
parenta03b901e94d6c95ceeb949d9ec47f525c75d0422 (diff)
downloadmongo-392a540deec817c5d6738b8e848a68882df3ac8a.tar.gz
If the LSN given doesn't exist, don't return an error, but do force
recovery. Fix recover.sh to grep the CONFIG. #1700
Diffstat (limited to 'test/format/recover.sh')
-rw-r--r--test/format/recover.sh14
1 files changed, 9 insertions, 5 deletions
diff --git a/test/format/recover.sh b/test/format/recover.sh
index de908c71e5d..4177e26a278 100644
--- a/test/format/recover.sh
+++ b/test/format/recover.sh
@@ -37,12 +37,16 @@ while true; do
# Save a copy of the database directory exactly as it was at the crash.
cp -rp RUNDIR $rundir2
- # We aborted, so recovery is required
- if `$wtcmd -R -h RUNDIR list | egrep table > /dev/null`; then
- uri='table:wt'
+ #
+ # Everything is a table unless explicitly a file.
+ #
+ isfile=`grep data_source RUNDIR/CONFIG | grep -c file || exit 0`
+ if test "$isfile" -ne 0; then
+ uri="file:wt"
else
- uri='file:wt'
+ uri="table:wt"
fi
- # Force recovery to run.
+
+ # We know we aborted, so force recovery to run.
$wtcmd -R -h RUNDIR verify $uri || exit 1
done